  
import java.util.Arrays; 
import java.util.List; 
import java.util.ArrayList; 

public class ForEachTest { 
  public static void main(String args[]) { 
    ForEachTest test = new ForEachTest(); 
    test.testArray1(); 
    test.testArray2(); 
    test.testList(); 

  } 

  public void testArray1() {   
    int array[] = {8, 9, 1}; 

    for(int i=0;i<array.length;i++) {          //利用for语句遍历数组元素 
      System.out.println(array[i]);  
   } 
  } 

  public void testArray2() {   
    int array[] = {8, 9, 1}; 

    for(int x : array) {          //利用foreach语句遍历数组元素 
      System.out.println(x);  
   } 
  }

  public void testList() { 
    List<String> list = new ArrayList<String>(); 
    list.add("8"); 
    list.add("9"); 
    list.add("1"); 

    for(String x : list) {  //利用foreach语句遍历集合元素
      System.out.println(x); 
    } 
  } 
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
